import * as __WEBPACK_EXTERNAL_MODULE__tachybase_client__ from "@tachybase/client";
import * as __WEBPACK_EXTERNAL_MODULE_axios_mock_adapter__ from "axios-mock-adapter";
const apiClient = new __WEBPACK_EXTERNAL_MODULE__tachybase_client__.APIClient();
const mock = new __WEBPACK_EXTERNAL_MODULE_axios_mock_adapter__["default"](apiClient.axios);
const sleep = (value)=>new Promise((resolve)=>setTimeout(resolve, value));
mock.onGet('/posts:get').reply(async (config)=>{
    await sleep(500);
    return [
        200,
        {
            data: {
                field1: 'uid'
            }
        }
    ];
});
export { apiClient };
